<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.WriteToLog Method (String, Transaction)
DatabaseEnvironment Class See Also Send Feedback

Append an informational message to the Berkeley DB database environment log files.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public void WriteToLog(
    	string str,
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Sub WriteToLog ( _
    	str As String, _
    	txn As Transaction _
    )

Visual C++

    public:
    void WriteToLog(
    	String^ str,
    	Transaction^ txn
    )

#### Parameters

str
  Type: System..::.String
  The message to append to the log files

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); otherwise null.

# See Also

DatabaseEnvironment Class
WriteToLog Overload
BerkeleyDB Namespace